package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/12
 */
@ApiModel("供应商注册")
@Data
public class ShopRegisterDto implements Serializable {
    /**
     * 注册来源: 0网站 1小程序
     */
    @ApiModelProperty("注册来源: 0网站 1小程序")
    private Integer source;
    /**
     * 组织名称
     */
    @NotNull(message = "公司名称不能为空")
    @ApiModelProperty("公司名称")
    private String name;
    /**
     * 供应商公司简称(shortName)
     */
    @ApiModelProperty("供应商公司简称(shortName)")
    private String shortName;

    /**
     * 企业绑定手机号
     */
    @NotNull(message = "手机号不能为空")
    @ApiModelProperty("企业绑定手机号")
    private String bindMobile;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("密码")
    private String password;
    /**
     * 用户确认密码
     */
    @NotNull
    @ApiModelProperty("用户确认密码")
    private String passWordConfirm;
    /**
     * 短信验证码
     */
    @NotNull
    @ApiModelProperty("短信验证码(旧：activationCode)")
    private String smsCode;
    /**
     * 是否同意勾选同意协议，1是，其他否
     */
    @NotNull
    @ApiModelProperty("是否同意勾选同意协议，1是，其他否")
    private Integer isAgreed;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("注册步数: PC(0)，小程序(1,2,3)")
    private Integer whichStep;
    /**
     * 联系人
     */
    @NotNull(message = "联系人不能为空")
    @ApiModelProperty("联系人")
    private String linkMan;
    /**
     * 省(provinceId)
     */
    @ApiModelProperty("省")
    private Integer provinceId;
    /**
     * 市(cityId)
     */
    @ApiModelProperty("市")
    private Integer cityId;
    /**
     * 地址Id(townId)
     */
    @ApiModelProperty("地址Id")
    private Integer townId;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;
    /**
     * 统一社会信用代码
     */
    @NotNull(message = "营业执照编号不能为空")
    @ApiModelProperty("统一社会信用代码")
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    @ApiModelProperty("营业执照(businessLicenseImage)")
    private String businessLicense;
    /**
     * 医疗=1和非医疗=2
     */
    @ApiModelProperty("医疗=1和非医疗=2")
    private Integer firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    @ApiModelProperty("医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4")
    private Integer secondShopType;
    /**
     * 主打项目(mainpro)
     */
    @ApiModelProperty("主打项目(mainpro)")
    private String mainProduct;
    /**
     * 主打系列商品说明
     */
    @ApiModelProperty("主打系列商品说明")
    private String mainProductDesc;
    /**
     * 公司介绍
     */
    @ApiModelProperty("公司介绍")
    private String shopDesc;
    /**
     * 官网地址
     */
    @ApiModelProperty("官网地址")
    private String website;
    /**
     * 微信公众号
     */
    @ApiModelProperty("微信公众号")
    private String wxOfficialAccount;
    /**
     * 微信小程序
     */
    @ApiModelProperty("微信小程序")
    private String wxApplets;
}
