package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/12
 */
@ApiModel("供应商更新资料")
@Data
public class ShopUpdateDto implements Serializable {
    /**
     * 供应商Id
     */
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Integer userId;
    /**
     * 组织名称
     */
    @ApiModelProperty("组织名称")
    private String name;
    /**
     * 供应商公司简称(shortName)
     */
    @ApiModelProperty("供应商公司简称sname")
    private String shortName;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String contractEmail;
    /**
     * 固定电话
     */
    @ApiModelProperty("固定电话")
    private String contractPhone;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;
    /**
     * 省(provinceId)
     */
    @ApiModelProperty("省")
    private Integer provinceId;
    /**
     * 市(cityId)
     */
    @ApiModelProperty("市")
    private Integer cityId;
    /**
     * 地址Id(townId)
     */
    @ApiModelProperty("地址Id")
    private Integer townId;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;
    /**
     * 统一社会信用代码(营业执照编号)
     */
    @ApiModelProperty("统一社会信用代码(营业执照编号)")
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    @ApiModelProperty("营业执照(businessLicenseImage)")
    private String businessLicense;
    /**
     * 医疗=1和非医疗=2
     */
    @ApiModelProperty("医疗=1和非医疗=2")
    private Integer firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    @ApiModelProperty("医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4")
    private Integer secondShopType;
    /**
     * 主打项目(mainpro)
     */
    @ApiModelProperty("主打项目(mainpro)")
    private String mainProduct;
    /**
     * 主打商品说明(productDesc)
     */
    @ApiModelProperty("主打商品说明(productDesc)")
    private String mainProductDesc;
    /**
     * 法人代表
     */
    @ApiModelProperty("法人代表")
    private String legalPerson;
    /**
     * 注册资本
     */
    @ApiModelProperty("注册资本")
    private Double registeredCapital;
    /**
     * 传真号(fax)
     */
    @ApiModelProperty("传真号")
    private String faxNumber;
    /**
     * 公司性质(nature)
     */
    @ApiModelProperty("公司性质(nature)")
    private String companyNature;
    /**
     * 年营业额
     */
    @ApiModelProperty("年营业额")
    private Double turnover;
    /**
     * 医疗执业许可证(medicalPracticeLicenseImg1)
     */
    @ApiModelProperty("医疗执业许可证(medicalPracticeLicenseImg1)")
    private String medicalPracticeLicense;
    /**
     * 公司介绍(info)
     */
    @ApiModelProperty("公司介绍(info)")
    private String shopDesc;
    /**
     * 经营范围
     */
    @ApiModelProperty("经营范围")
    private String businessScope;
    /**
     * 公司LOGO
     */
    @ApiModelProperty("公司LOGO")
    private String logo;
    /**
     * 荣誉证书
     */
    @ApiModelProperty("荣誉证书")
    private List<String> honorCertification;

    /**
     * 生产经营证书
     */
    @ApiModelProperty("生产经营证书")
    private String operationLicence;

    /**
     * 产品证书
     */
    @ApiModelProperty("产品证书")
    private List<String> productCertification;

    /**
     * 卫生许可证
     */
    @ApiModelProperty("卫生许可证")
    private String hygienicLicense;

    /**
     * 税务登记证
     */
    @ApiModelProperty("税务登记证")
    private String taxLicense;
}
